Page MenuHomePhabricator

Deprecate Skin methods that are aliases for footerLink
Closed, ResolvedPublic

Description

These are all wrappers for the method footerLink and tend to be used by legacy skins.
https://codesearch.wmcloud.org/search/?q=aboutLink%5C(&i=nope&files=&repos=
https://codesearch.wmcloud.org/search/?q=disclaimerLink%5C(&i=nope&files=&repos=
https://codesearch.wmcloud.org/search/?q=privacyLink\(&i=nope&files=&repos=

  • OAuth Extension has been updated
  • CologneBlue has been updated
  • aboutLink is deprecated with a note to use footerLink instead
  • disclaimerLink is deprecated with a note to use footerLink instead
  • privacyLink is deprecated with a note to use footerLink instead
  • The docblock for footerLink documents the supported values

Not blocking completion of this task:

  • Nimbus, Nostalgia and BlueSpiceCalumma have patches

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2020, 11:30 PM
Ammarpad claimed this task.Jul 15 2020, 9:01 AM
Ammarpad triaged this task as Medium priority.Aug 27 2020, 12:17 PM

Change 622847 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/OAuth@master] Remove site privacy link indirection

https://gerrit.wikimedia.org/r/622847

Change 622847 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Remove site privacy link indirection

https://gerrit.wikimedia.org/r/622847

Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 623563 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/BlueSpiceCalumma@master] Remove skin footer links indirection

https://gerrit.wikimedia.org/r/623563

Change 623854 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/CologneBlue@master] Remove usage of Skin::aboutLink()

https://gerrit.wikimedia.org/r/623854

Jdlrobson updated the task description. (Show Details)

Change 623854 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Remove usage of Skin::aboutLink()

https://gerrit.wikimedia.org/r/623854

Change 623959 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Nostalgia@master] Remove site footer links indirection

https://gerrit.wikimedia.org/r/623959

Change 623903 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Nimbus@master] Bug: T258001

https://gerrit.wikimedia.org/r/623903

Change 623903 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Nimbus@master] Remove usage of Skin::aboutLink()

https://gerrit.wikimedia.org/r/623903

Change 624235 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Deprecate Skin methods that are aliases for footerLink

https://gerrit.wikimedia.org/r/624235

Change 624235 merged by jenkins-bot:
[mediawiki/core@master] Deprecate Skin methods that are aliases for footerLink

https://gerrit.wikimedia.org/r/624235

Jdlrobson closed this task as Resolved.Sep 3 2020, 10:02 PM
Jdlrobson updated the task description. (Show Details)

Change 624296 had a related patch set uploaded (by Robert Vogel; owner: Ammarpad):
[mediawiki/skins/BlueSpiceCalumma@REL1_35] Remove skin footer links indirection

https://gerrit.wikimedia.org/r/624296

Change 624296 merged by jenkins-bot:
[mediawiki/skins/BlueSpiceCalumma@REL1_35] Remove skin footer links indirection

https://gerrit.wikimedia.org/r/624296

Change 623563 merged by jenkins-bot:
[mediawiki/skins/BlueSpiceCalumma@master] Remove skin footer links indirection

https://gerrit.wikimedia.org/r/623563

Change 623959 merged by jenkins-bot:
[mediawiki/skins/Nostalgia@master] Remove site footer links indirection

https://gerrit.wikimedia.org/r/623959

brennen moved this task from Backlog to Logs/Train on the User-brennen board.
Krinkle reopened this task as Open.EditedSep 15 2020, 7:49 PM
Krinkle added a subscriber: Krinkle.

I'm currently seeing a pretty steady stream of these in production logs:

Use of Skin::aboutLink was deprecated in MediaWiki 1.36. [Called from NostalgiaTemplate::afterContent]
Use of Skin::privacyLink was deprecated in MediaWiki 1.36. [Called from NostalgiaTemplate::pageTitleLinks]
Use of Skin::disclaimerLink was deprecated in MediaWiki 1.36. [Called from NostalgiaTemplate::pageTitleLinks]

I assume this is the correct ticket for that, but please let me know if those should be filed elsewhere.

Awaiting backport. Prod errors are notably raised drowning out smaller regressions.

RhinosF1 raised the priority of this task from Medium to Unbreak Now!.Sep 15 2020, 8:05 PM
RhinosF1 added a subscriber: RhinosF1.

Train blocker --> UBN!

Change 627459 had a related patch set uploaded (by Jdlrobson; owner: Ammarpad):
[mediawiki/skins/Nostalgia@wmf/1.36.0-wmf.9] Remove site footer links indirection

https://gerrit.wikimedia.org/r/627459

Change 627459 merged by jenkins-bot:
[mediawiki/skins/Nostalgia@wmf/1.36.0-wmf.9] Remove site footer links indirection

https://gerrit.wikimedia.org/r/627459

Jdlrobson closed this task as Resolved.Sep 15 2020, 8:39 PM

Change 623903 abandoned by Ammarpad:
[mediawiki/skins/Nimbus@master] Remove usage of Skin::aboutLink()

Reason:
obsolote

https://gerrit.wikimedia.org/r/623903